콘텐츠로 건너뛰기

개요

  • 버전: 2.0
  • 서버: https://api.xsolla.com/merchant/v2/

본 API 참조는 정기 결제, 쿠폰 및 프로모션 관리 엔드포인트에 관하여 기술하고 있습니다. 정기 결제에 대한 더 자세한 내용은 제품 가이드용어집을 참조하십시오.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/subscriptions/
작업
작업
작업
작업
작업
작업
작업

요청

보안
subscriptionsManagementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Make subscription non-renewable

본문application/json
응답
application/json
null

요청

보안
subscriptionsManagementJwtAuth
경로
subscription_idinteger\d+필수
project_idinteger\d+필수
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

Get payment account info

본문application/json
card_expiry_dateobject or null
idinteger필수
예제: "123"
namestring or null
예제: "** 7398"
ps_namestring or null
예제: "Mastercard"
switch_icon_namestring or null
예제: "mastercard.svg"
typestring필수
예제: "card"
응답
application/json
{ "card_expiry_date": { "month": "09", "year": "2023" }, "id": "123", "name": "** 7398", "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg", "type": "card" }